"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require("@angular/core");
var authorization_service_1 = require("@tangential/authorization-service");
var InlineLoginFormComponent = (function () {
    function InlineLoginFormComponent() {
        this.signUp = new core_1.EventEmitter(false);
        this.signIn = new core_1.EventEmitter(false);
        this.usernameFieldLabel = "email";
        this.passwordFieldLabel = "password";
        this.loginButtonLabel = "Sign In";
        this.signupButtonLabel = "Sign Up";
    }
    InlineLoginFormComponent.prototype.isSignedOut = function (signInState) {
        return signInState == authorization_service_1.SignInState.signedOut;
    };
    InlineLoginFormComponent.prototype.isSigningUp = function (signInState) {
        return signInState == authorization_service_1.SignInState.signingUp;
    };
    InlineLoginFormComponent.prototype.isUnknownState = function (signInState) {
        return signInState == authorization_service_1.SignInState.unknown;
    };
    InlineLoginFormComponent.prototype.fireLoginAction = function () {
        this.signIn.emit({ email: this.username, password: this.password });
    };
    InlineLoginFormComponent.prototype.fireSignupAction = function () {
        this.signUp.emit({ email: this.username, password: this.password });
    };
    InlineLoginFormComponent.prototype.onSubmit = function (event) {
        event.preventDefault();
        event.stopPropagation();
    };
    return InlineLoginFormComponent;
}());
__decorate([
    core_1.Input(),
    __metadata("design:type", Number)
], InlineLoginFormComponent.prototype, "signInState", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", String)
], InlineLoginFormComponent.prototype, "errorMessage", void 0);
__decorate([
    core_1.Output(),
    __metadata("design:type", core_1.EventEmitter)
], InlineLoginFormComponent.prototype, "signUp", void 0);
__decorate([
    core_1.Output(),
    __metadata("design:type", core_1.EventEmitter)
], InlineLoginFormComponent.prototype, "signIn", void 0);
InlineLoginFormComponent = __decorate([
    core_1.Component({
        selector: 'tg-inline-login-form-component',
        template: "<div *ngIf=\"isSignedOut(signInState) || isUnknownState(signInState)\" class=\"tg-nav-login-form\" layout=\"row\" layout-align=\"space-between center\"> <form (ngSubmit)=\"onSubmit($event)\" #loginForm=\"ngForm\" flex layout=\"row\" layout-align=\"space-between center\"> <md-input-container flex> <input mdInput [(ngModel)]=\"username\" name=\"fUsername\" #fUsername=\"ngModel\" class=\"tg-username tg-input\" dividerColor=\"accent\" [type]=\"requireEmailUsername ? 'email' : 'text'\" required minlength=\"5\" placeholder=\"{{usernameFieldLabel}}\"/> </md-input-container> <md-input-container flex> <input mdInput [(ngModel)]=\"password\" name=\"password\" #fPassword=\"ngModel\" class=\"tg-password tg-input\" dividerColor=\"accent\" [type]=\"'password'\" required minlength=\"8\" placeholder=\"{{passwordFieldLabel}}\"/> </md-input-container> <button md-raised-button [disabled]=\"loginForm.invalid\" color=\"accent\" class=\"tg-login tg-button\" (click)=\"$event.stopPropagation();$event.preventDefault();fireLoginAction()\"> <span> <i class=\"material-icons tg-button-icon\">lock</i><i class=\"tg-button-text\">{{loginButtonLabel}}</i> </span> </button> </form> <button md-raised-button color=\"accent\" class=\"tg-signup tg-button\" [disabled]=\"loginForm.invalid || isSigningUp(signInState)\" (click)=\"$event.stopPropagation();$event.preventDefault();fireSignupAction()\"> <span> <i class=\"material-icons tg-button-icon\">lock</i><i class=\"tg-button-text\">{{signupButtonLabel}}</i> </span> </button> <div>{{errorMsg}}</div> </div> ",
        styles: [" .tg-nav-login-form /deep/ * { font-size: medium; } .tg-input { margin-right: 1em; } .tg-button { margin-right: 1em; vertical-align: middle; width: 8em; .tg-button-icon { font-size: small; } .tg-button-text { padding-left: .2em; } } "],
        changeDetection: core_1.ChangeDetectionStrategy.OnPush
    }),
    __metadata("design:paramtypes", [])
], InlineLoginFormComponent);
exports.InlineLoginFormComponent = InlineLoginFormComponent;

//# sourceMappingURL=inline-login-form.component.js.map
